//
//  PreferencesEditorEnvironment.swift
//  PreferencesEditor
//
//  Created by Don McBrien on 18/04/2021.
//

import Foundation
import SwiftUI

class PreferencesEditorEnvironment: ObservableObject {
   // reports back to caller that the custom field is in a valid state
   @Published var commit = true
   @Published var titleWidth: CGFloat = 180
   @Published var titleAlignment: Alignment = .trailing
   @Published var cellWidth: CGFloat = 140
}

