//
//  Probability.swift
//  PreferencesEditor
//
//  Created by Don McBrien on 13/04/2021.
//

import Foundation

struct Probability {
   var value: Double = 0.0  // 0.0 < _value <= 100.0
   var display: Double {               // 0.0 < value <= 1.0
      get { value / 100.0 }
      set { value = newValue * 100.0 }
   }
   init(_ p: Double) { value = p * 100.0 }
}

